LogoSignature Service
Admin APIWorkflows

Create a workflow

POST
/admin/api/v3/organizations/{organizationId}/settings/workflows

Authorization

basicAuth
AuthorizationBasic <token>

In: header

Path Parameters

organizationId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/admin/api/v3/organizations/string/settings/workflows" \  -H "Content-Type: application/json" \  -d '{    "enabledByDefault": true,    "name": "string",    "smartContractIdentifier": "string"  }'
{  "authenticationProvider": "string",  "deliveryOptions": {    "allowManagerToAddRecipients": true,    "domainNames": [      "string"    ],    "sendSigningReportToAllManager": true  },  "description": "string",  "electronicSeal": true,  "enabledByDefault": true,  "id": "string",  "identification": true,  "name": "string",  "preassignedSignatories": {    "allowEdition": true,    "signatories": [      {        "email": "string",        "locale": "string"      }    ]  },  "regulation": "EIDAS",  "signatureLevel": "SES",  "smartContractIdentifier": "string"}